POST api/FindPharmaItems/GetItemNameForFindItem

No documentation available.

Request Information

Parameters

NameDescriptionAdditional information
paramList
No documentation available.

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
[
  {},
  {},
  {}
]

text/html

Sample:
[{},{},{}]

application/xml, text/xml

Sample:
<ArrayOfanyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
  <anyType />
  <anyType />
  <anyType />
</ArrayOfanyType>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

No documentation available.

Response body formats

application/json, text/json

Sample:
[
  {
    "Id": "fee32a0d-846e-428f-8b4b-69755ca62200",
    "CompId": "40bd3672-0ce7-484c-bed5-af02f392792d",
    "ItemName": "sample string 2",
    "ShortName": "sample string 3",
    "ItemValues": "sample string 4",
    "RowNumber": 5,
    "totalRows": 6,
    "searchString": "sample string 7",
    "pageNo": 8,
    "AtrnYear": 9,
    "ItemSelection": 10
  },
  {
    "Id": "fee32a0d-846e-428f-8b4b-69755ca62200",
    "CompId": "40bd3672-0ce7-484c-bed5-af02f392792d",
    "ItemName": "sample string 2",
    "ShortName": "sample string 3",
    "ItemValues": "sample string 4",
    "RowNumber": 5,
    "totalRows": 6,
    "searchString": "sample string 7",
    "pageNo": 8,
    "AtrnYear": 9,
    "ItemSelection": 10
  },
  {
    "Id": "fee32a0d-846e-428f-8b4b-69755ca62200",
    "CompId": "40bd3672-0ce7-484c-bed5-af02f392792d",
    "ItemName": "sample string 2",
    "ShortName": "sample string 3",
    "ItemValues": "sample string 4",
    "RowNumber": 5,
    "totalRows": 6,
    "searchString": "sample string 7",
    "pageNo": 8,
    "AtrnYear": 9,
    "ItemSelection": 10
  }
]

text/html

Sample:
[{"Id":"fee32a0d-846e-428f-8b4b-69755ca62200","CompId":"40bd3672-0ce7-484c-bed5-af02f392792d","ItemName":"sample string 2","ShortName":"sample string 3","ItemValues":"sample string 4","RowNumber":5,"totalRows":6,"searchString":"sample string 7","pageNo":8,"AtrnYear":9,"ItemSelection":10},{"Id":"fee32a0d-846e-428f-8b4b-69755ca62200","CompId":"40bd3672-0ce7-484c-bed5-af02f392792d","ItemName":"sample string 2","ShortName":"sample string 3","ItemValues":"sample string 4","RowNumber":5,"totalRows":6,"searchString":"sample string 7","pageNo":8,"AtrnYear":9,"ItemSelection":10},{"Id":"fee32a0d-846e-428f-8b4b-69755ca62200","CompId":"40bd3672-0ce7-484c-bed5-af02f392792d","ItemName":"sample string 2","ShortName":"sample string 3","ItemValues":"sample string 4","RowNumber":5,"totalRows":6,"searchString":"sample string 7","pageNo":8,"AtrnYear":9,"ItemSelection":10}]

application/xml, text/xml

Sample:
<ArrayOfFindItemsValues xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/TABSINVBL.Models">
  <FindItemsValues>
    <AtrnYear>9</AtrnYear>
    <CompId>40bd3672-0ce7-484c-bed5-af02f392792d</CompId>
    <Id>fee32a0d-846e-428f-8b4b-69755ca62200</Id>
    <ItemName>sample string 2</ItemName>
    <ItemSelection>10</ItemSelection>
    <ItemValues>sample string 4</ItemValues>
    <RowNumber>5</RowNumber>
    <ShortName>sample string 3</ShortName>
    <pageNo>8</pageNo>
    <searchString>sample string 7</searchString>
    <totalRows>6</totalRows>
  </FindItemsValues>
  <FindItemsValues>
    <AtrnYear>9</AtrnYear>
    <CompId>40bd3672-0ce7-484c-bed5-af02f392792d</CompId>
    <Id>fee32a0d-846e-428f-8b4b-69755ca62200</Id>
    <ItemName>sample string 2</ItemName>
    <ItemSelection>10</ItemSelection>
    <ItemValues>sample string 4</ItemValues>
    <RowNumber>5</RowNumber>
    <ShortName>sample string 3</ShortName>
    <pageNo>8</pageNo>
    <searchString>sample string 7</searchString>
    <totalRows>6</totalRows>
  </FindItemsValues>
  <FindItemsValues>
    <AtrnYear>9</AtrnYear>
    <CompId>40bd3672-0ce7-484c-bed5-af02f392792d</CompId>
    <Id>fee32a0d-846e-428f-8b4b-69755ca62200</Id>
    <ItemName>sample string 2</ItemName>
    <ItemSelection>10</ItemSelection>
    <ItemValues>sample string 4</ItemValues>
    <RowNumber>5</RowNumber>
    <ShortName>sample string 3</ShortName>
    <pageNo>8</pageNo>
    <searchString>sample string 7</searchString>
    <totalRows>6</totalRows>
  </FindItemsValues>
</ArrayOfFindItemsValues>